libxml-sax-perl_0.99+dfsg-2ubuntu1_all.deb


Advertisement

Description

libxml-sax-perl - Perl module for using and building Perl SAX2 XML processors

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Main amd64
Package filename libxml-sax-perl_0.99+dfsg-2ubuntu1_all.deb
Package name libxml-sax-perl
Package version 0.99+dfsg
Package release 2ubuntu1
Package architecture all
Package type deb
Category perl
Homepage http://search.cpan.org/dist/XML-SAX/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 63.08 KB
Installed size 225.00 KB
XML::SAX consists of several framework classes for using and
building Perl SAX2 XML parsers, filters, and drivers.  It is designed
around the need to be able to "plug in" different SAX parsers to an
application without requiring programmer intervention.  Those of you
familiar with the DBI will be right at home.  Some of the designs
come from the Java JAXP specification (SAX part), only without the
javaness.
The package also contains a SAX parser, XML::SAX::PurePerl, but it
is considered too slow for serious use and is only provided as a
fallback parser. It is recommend XML::SAX::Expat (provided in
libxml-sax-expat-perl) instead.
The framework includes a Debian-specific script (called
update-perl-sax-parsers) to manage the ParserDetails.ini file. This
script is intended to be used in postinst and prerm package scripts to
(de)register parsers.  See README.Debian for more info.

Alternatives

Package Version Architecture Repository
libxml-sax-perl_0.99+dfsg-2ubuntu1_all.deb 0.99+dfsg all Ubuntu Main
libxml-sax-perl - - -

Requires

Name Value
libxml-namespacesupport-perl -
libxml-sax-base-perl -
perl -
ucf >= 0.28

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libxml-sax-perl_0.99+dfsg-2ubuntu1_all.deb
Source Package libxml-sax-perl

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libxml-sax-perl deb package:
    # sudo apt-get install libxml-sax-perl

Files

Path
/usr/bin/update-perl-sax-parsers
/usr/share/doc/libxml-sax-perl/README.Debian.gz
/usr/share/doc/libxml-sax-perl/changelog.Debian.gz
/usr/share/doc/libxml-sax-perl/copyright
/usr/share/doc/libxml-sax-perl/examples/libxml-foo-perl.postinst
/usr/share/doc/libxml-sax-perl/examples/libxml-foo-perl.prerm
/usr/share/man/man3/XML::SAX.3pm.gz
/usr/share/man/man3/XML::SAX::DocumentLocator.3pm.gz
/usr/share/man/man3/XML::SAX::Intro.3pm.gz
/usr/share/man/man3/XML::SAX::ParserFactory.3pm.gz
/usr/share/man/man3/XML::SAX::PurePerl.3pm.gz
/usr/share/man/man3/XML::SAX::PurePerl::Reader.3pm.gz
/usr/share/man/man8/update-perl-sax-parsers.8.gz
/usr/share/perl5/XML/SAX.pm
/usr/share/perl5/XML/SAX/Debian.pm
/usr/share/perl5/XML/SAX/DocumentLocator.pm
/usr/share/perl5/XML/SAX/Intro.pod
/usr/share/perl5/XML/SAX/ParserDetails.ini
/usr/share/perl5/XML/SAX/ParserFactory.pm
/usr/share/perl5/XML/SAX/PurePerl.pm
/usr/share/perl5/XML/SAX/PurePerl/DTDDecls.pm
/usr/share/perl5/XML/SAX/PurePerl/DebugHandler.pm
/usr/share/perl5/XML/SAX/PurePerl/DocType.pm
/usr/share/perl5/XML/SAX/PurePerl/EncodingDetect.pm
/usr/share/perl5/XML/SAX/PurePerl/Exception.pm
/usr/share/perl5/XML/SAX/PurePerl/NoUnicodeExt.pm
/usr/share/perl5/XML/SAX/PurePerl/Productions.pm
/usr/share/perl5/XML/SAX/PurePerl/Reader.pm
/usr/share/perl5/XML/SAX/PurePerl/UnicodeExt.pm
/usr/share/perl5/XML/SAX/PurePerl/XMLDecl.pm
/usr/share/perl5/XML/SAX/PurePerl/Reader/NoUnicodeExt.pm
/usr/share/perl5/XML/SAX/PurePerl/Reader/Stream.pm
/usr/share/perl5/XML/SAX/PurePerl/Reader/String.pm
/usr/share/perl5/XML/SAX/PurePerl/Reader/URI.pm
/usr/share/perl5/XML/SAX/PurePerl/Reader/UnicodeExt.pm

Changelog

2012-08-10 - St├ęphane Graber <stgraber@ubuntu.com>
libxml-sax-perl (0.99+dfsg-2ubuntu1) quantal; urgency=low
* SAX.pm: provide our own local dirname() function and use it
instead of File::Basename. Copied from doc-base. (LP: #990256)
2012-06-01 - Florian Schlichting <fschlich@zedat.fu-berlin.de>
libxml-sax-perl (0.99+dfsg-2) unstable; urgency=low
* Fix a command injection bug in update-perl-sax-parsers (LP: #782479).
* Bump Standards-Version to 3.9.3 (use copyright-format 1.0).
* Bump years of Debian copyright.
2011-09-14 - Florian Schlichting <fschlich@zedat.fu-berlin.de>
libxml-sax-perl (0.99+dfsg-1) unstable; urgency=low
[ Florian Schlichting ]
* Imported Upstream version 0.99
* Update d/watch.
* Switch to source format "3.0 (quilt)".
* Bump compatibility level to 8.
* Refresh d/copyright.
* Bump Standards-Version to 3.9.2 (no further changes).
* (Build-)Depend on libxml-sax-base-perl.
* Add myself to Uploaders.
* Remove copyright statement for removed XML::SAX::Base.
[ Ansgar Burchardt ]
* Update my email address.
* debian/control: Convert Vcs-* fields to Git.
2010-01-02 - Ansgar Burchardt <ansgar@43-1.org>
libxml-sax-perl (0.96+dfsg-2) unstable; urgency=low
[ Ansgar Burchardt ]
* Move Debian-specific functions to a subclass as suggested by Evan Carroll.
If XML::SAX is installed via CPAN, it will not see the ParserDetails.ini
in /etc/perl/XML/SAX, ie. users will have to enable additional parsers by
hand or install them via CPAN as well. (LP: #13917)
* Use minimal debian/rules.
* Add myself to Uploaders.
* Bump Standards-Version to 3.8.3 (no changes).
[ gregor herrmann ]
* Adjust debian/{rules,copyright} to debian/repack.stub.
* debian/patches: update formatting and headers.
* New patch pod-spelling: fix some spelling errors in the POD.
2009-03-01 - Antonio Radici <antonio@dyne.org>
libxml-sax-perl (0.96+dfsg-1) unstable; urgency=low
[ Antonio Radici ]
* New upstream release
* debian/control:
+ Adding me to the uploaders
+ Standards-Version bumped to 3.8.0
+ dh compatibility >= 7
+ removed duplicate priority and section from the binary package
+ removed (>= 0.40) from quilt
* debian/libxml-sax-perl.([^(:?dirs)]) renamed to $1
* debian/rules
+ custom directives moved to proper files before refreshing to dh7 
* debian/libpam-xml-perl.{links,install,examples,manpages}
* debian/clean 
+ get-orig-source from the old rules
+ touch Makefile in clean target from the old rules
* debian/compat bumped to 7
* debian/README.Debian-source contents moved to debian/copyright
* debian/copyright:
+ upgrade to the new format
+ added info about repack.pl and what we are excluding from the orig source
[ Franck Joncourt ]
* Replace uversionmangle by dversionmangle in debian/watch.
+ Refreshed the repack.pl script.
+ This fixes the following lintian warning:
http://lintian.debian.org/tags/debian-watch-file-should-dversionmangle\
-not-uversionmangle.html
[ gregor herrmann ]
* Add debian/README.source to document quilt usage, as required by
Debian Policy since 3.8.0.
* debian/control:
- switch Vcs-Browser field to ViewSVN
- add ${misc:Depends} to Depends: field
- mention module name in long description
2008-04-04 - Niko Tyni <ntyni@debian.org>
libxml-sax-perl (0.16+dfsg-3) unstable; urgency=low
* README.Debian: replace a broken link to the CPAN FAQ entry about
uninstalling CPAN modules with its intended content. (Closes: #469958)

See Also

Package Description
libxml-simple-perl_2.22-1_all.deb Perl module for reading and writing XML
libxml-twig-perl_3.48-1_all.deb Perl module for processing huge XML documents in tree mode
libxml-xpathengine-perl_0.13-1_all.deb re-usable XPath engine for DOM-like trees
libxml2-dev_2.9.3+dfsg1-1_amd64.deb Development files for the GNOME XML library
libxml2-doc_2.9.3+dfsg1-1_all.deb Documentation for the GNOME XML library
libxml2-utils_2.9.3+dfsg1-1_amd64.deb XML utilities
libxml2_2.9.3+dfsg1-1_amd64.deb GNOME XML library
libxmlrpc-epi-dev_0.54.2-1.1_amd64.deb Development files for libxmlrpc-epi0, a XML-RPC request library
libxmlrpc-epi0_0.54.2-1.1_amd64.deb XML-RPC request serialisation/deserialisation library
libxmlsec1-dev_1.2.20-2ubuntu4_amd64.deb Development files for the XML security library
libxmlsec1-gcrypt_1.2.20-2ubuntu4_amd64.deb Gcrypt engine for the XML security library
libxmlsec1-gnutls_1.2.20-2ubuntu4_amd64.deb Gnutls engine for the XML security library
libxmlsec1-nss_1.2.20-2ubuntu4_amd64.deb Nss engine for the XML security library
libxmlsec1-openssl_1.2.20-2ubuntu4_amd64.deb Openssl engine for the XML security library
libxmlsec1_1.2.20-2ubuntu4_amd64.deb XML security library
Advertisement
Advertisement